<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  admin_bookmark.php                                       ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/

	
	include_once("./admin_config.php");
	include_once($root_folder_path . "includes/common.php");
	include_once($root_folder_path . "includes/record.php");
	
	check_admin_security();
	
	$title = get_param("title");

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main", "admin_bookmark.html");
	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_bookmark_href", "admin_bookmark.php");
	$t->set_var("admin_bookmarks_href", "admin_bookmarks.php");
	
	$r = new VA_Record($table_prefix . "bookmarks");
	$r->add_where("bookmark_id", INTEGER);
	$r->add_textbox("admin_id", TEXT);
	$r->change_property("admin_id", USE_IN_UPDATE, false);
	$r->add_textbox("title", TEXT);
	$r->change_property("title", REQUIRED, true);
	$r->change_property("title", DEFAULT_VALUE, $title);
	$r->add_textbox("url", TEXT);
	$r->change_property("url", REQUIRED, true);
	$r->add_textbox("image_path", TEXT);
	$r->add_textbox("notes", TEXT);
	$r->add_checkbox("is_start_page", INTEGER);
	$r->add_checkbox("is_popup", INTEGER);

	$r->events[BEFORE_INSERT] = "update_start_page";
	$r->events[BEFORE_UPDATE] = "update_start_page";

	$r->get_form_values();
//	$referer_url = $r->get_value("referer_hidden");
	$is_start_page = $r->get_value("is_start_page");
	
//	$return_page = $referer_url;
	$return_page = "admin_bookmarks.php";
	$r->return_page = $return_page;
	
	$r->process();
	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");
	
	function update_start_page() {
		global $r, $is_start_page;
		
		$admin_id = get_session("session_admin_id");
		if ($is_start_page == '1'){			
			$sql_up = "UPDATE va_bookmarks SET is_start_page='0' WHERE is_start_page='1' AND admin_id = '$admin_id'";
			$result_up= mysql_query($sql_up);
			
		}
		
		$r->set_value("admin_id", $admin_id);
	}

?>